install-info(8)

NOM
install-info - création ou mise à jour d'une entrée dans le répertoire Info

SYNOPSIS
install-info [--version] [--help] [--debug] [--maxwidth=nnn] [--section regexp title] [--infodir=xxx] [--align=nnn] [--quiet] [--menuentry=xxx] [--description=xxx] [--remove|--remove-exactly] [--] fichier

DESCRIPTION
install-info crée, met à jour ou supprime des entrées dans le fichier dir du répertoire Info. Quand, pour la création ou la mise à jour d'une entrée, on ne donne aucune description sur la ligne de commande ou dans le fichier Info, install-info essaye d'en deviner une à travers le contenu du fichier.

Voyez la description de l'option --section pour des précisions sur l'emplacement choisi pour l'entrée et sur le format attendu du fichier dir.

OPTIONS

[--] nom-de-fichier
    Donne le nom du fichier Info dont l'entrée de menu doit être créée, mise à jour ou supprimée. Si l'option --remove-exactly est précisée, fichier sera le nom exact de l'entrée à supprimer (p. ex. « emacs-20/emacs » ou « gcc ») ; dans les autres cas, la partie principale de ce nom sert de référent pour l'entrée de menu qui est créée, à moins qu'il y ait, dans le fichier donné, une entrée START-INFO-DIR. Ce fichier doit donc exister (ou bien être sur le point d'être installé, ou bien doit avoir existé en cas de suppression d'entrée) dans le même répertoire que le fichier dir (voyez l'option --infodir). Quand nom-de-fichier se termine par .gz on considère qu'il renvoie à un fichier comprimé avec « GNU gzip » ; s'il n'existe pas, mais qu'il y a un nom-de-fichier.gz on utilisera ce dernier. Quand on ajoute ou on met à jour des entrées, ce fichier doit exister dans le chemin spécifié (si possible avec l'extension .gz supplémentaire).

--remove
    Demande que l'entrée pour le fichier nom-de-fichier soit détruite ; par défaut les entrées sont créées ou mises à jour. Quand la suppression d'une entrée vide une section, l'en-tête (et la ligne blanche détachée) de la section est supprimée aussi, à moins que ce ne soit la dernière section du fichier ou bien que l'option --keep-old soit indiquée. Voyez l'option --section pour des précisions sur le format attendu du fichier dir. Quand il y a plusieurs entrées possibles dans le fichier dir, seules celles qui appartiennent au premier groupe contigu correspondant sont supprimées ; les autres sont silencieusement ignorées. Ne pas trouver d'entrée possible n'est pas une erreur, bien que install-info avertisse du problème quand l'option --quiet n'a pas été demandée. Quand --remove est spécifié, les options de formatage --maxwidth, --align et --calign sont silencieusement ignorées.

--remove-exactly
    Cette option est pratiquement identique à --remove mais fichier est compris comme le nom exact de l'entrée à supprimer plutôt que comme le nom d'un fichier existant. Cela peut être important quand on essaye de supprimer des entrées pour des fichiers info dans des sous-répertoires (p. ex. « emacs-20/emacs ») : --remove opère sur la partie principale du fichier plutôt que sur le nom exact. (p. ex. --remove « emacs-20/emacs » forcerait install-info à chercher « emacs », pas « emacs-20/emacs »).

--section exp-reg titre
    Indique que l'entrée qui doit être créée sera placée dans la section du fichier dir dont le titre correspond à exp-reg. Si une telle section n'existe pas, une nouvelle dernière section (voyez ci-après) est créée dans le fichier, avec un titre égal à titre. Une section est un choix possible dans le menu de dir ; les choix sont séparés par des lignes blanches ; la première ligne est supposée représenter le titre. Quand une nouvelle entrée doit être créée, install-info essaye de l'insérer dans la section selon l'ordre alphabétique ; si les entrées de la section ne sont pas déjà triées, on ne peut prévoir l'emplacement qui sera choisi. L'ordre existant des entrées n'est pas modifié. Par défaut, les entrées nouvelles sont ajoutées à la fin du fichier. La dernière section doit toujours exister (même si elle consiste en une simple ligne de titre) de manière que les nouvelles sections puissent être créées au bon endroit. Le titre de la dernière section devrait refléter le fait que des fichiers Info sans emplacement bien défini sont ajoutés à la fin de cette section. Quand le fichier Info que l'on doit installer possède déjà une entrée, celle-ci est remplacée in situ par la nouvelle entrée. Quand on supprime une entrée, une section spécifiée est ignorée et un avertissement est produit. Quand on ajoute une entrée et qu'une section est spécifiée, mais que le fichier ne contient aucun en-tête de section, install-info crée à la fois la section demandée et une section « Miscellaneous » à la fin du fichier.

--infodir=rep-info
    Spécifie que le fichier dir est situé dans infodir, ou que la copie installée du nouveau fichier Info était, est ou sera située dans infodir. Par défaut, c'est /usr/share/info.

--align=nnn [déconseillé]
    Précise que l'espace d'indentation de la première ligne de la description sera d'au moins nnn caractères ; des espaces supplémentaires peuvent être ajoutées. Quand la longueur des éléments de l'entrée du menu dir le demande, on peut le décaler davantage. Par défaut ce nombre est égal à 27.

--calign=nnn [déconseillé]
    Précise que l'espace d'indentation de la deuxième ligne et des lignes suivantes de la description sera d'au moins nnn caractères. Par défaut ce nombre est égal à 29.

--maxwidth=nnn [déconseillé]
    Précise que la largeur maximale d'une ligne du fichier Info est de nnn. Cela sert pour « couper » automatiquement les lignes du texte descriptif. Par défaut ce nombre est égal à 79.

--quiet
    Empêche l'affichage normal de la nouvelle entrée du menu juste avant qu'elle soit insérée et l'affichage de messages annonçant le remplacement ou la suppression d'entrées existantes ou la création ou la suppression de section.

--help
    Option pour afficher une aide sur l'utilisation de install-info

--version
    Option pour afficher la version et le copyright de install-info

--description=xxx
    Précise que la description employée après l'entrée du menu pour une nouvelle entrée ou bien pour une entrée mise à jour sera xxx. Par défaut, on emploie la valeur indiquée par le fichier Info lui-même ; on peut la trouver en cherchant une section de la forme suivante :
    START-INFO-DIR-ENTRY
    * Auto-PGP: (auto-pgp). PGP under GNU Emacs.
    END-INFO-DIR-ENTRY Quand l'entrée trouvée dans le fichier Info lui-même s'étend sur plusieurs lignes, chacune donnant une entrée du menu, on reprend le texte trouvé « verbatim ». Dans ce cas, on ne tient pas compte de l'ordre alphabétique et les entrées sont insérées au début de la section en question. Et les options --menuentry, --maxwidth, --align, --calign sont ignorées. Quand il n'y a pas d'entrée pour dir dans le fichier, le programme essaye de trouver un paragraphe au début du fichier qui commence par this file documents. Il met une capitale au premier caractère de la suite et l'utilise comme description. C'est une erreur si aucune de ces méthodes ne peut donner une description. Quand l'option --remove est donnée, l'argument pour l'option « description » est ignoré et un avertissement est produit.

--menuentry=xxx
    Précise que l'entrée de menu sera xxx. Par défaut, on emploie la valeur indiquée par le fichier Info lui-même. Quand elle n'est pas présente, la partie principale du nom du fichier Info est utilisée (tout fichier .info est supprimé et la première lettre de l'entrée est capitalisée). Voyez ci-dessus pour des précisions sur le format attendu pour l'entrée de menu dans le fichier Info. Quand on supprime des entrées, la valeur de l'option --menuentry doit correspondre au champ réel de l'entrée de menu qui doit être supprimée (peu importe la casse). Quand l'option --menuentry est omise, aucune vérification sur l'entrée de menu n'est faite.

--keep-old
    Empêche le remplacement d'entrées existantes et la suppression des sections vides. Quand le fichier qu'on doit installer possède déjà une entrée dans le répertoire, l'ancienne entrée est laissée seule plutôt que remplacée. Par défaut, toute entrée ancienne trouvée est remplacée par la nouvelle. Quand l'option --remove est indiquée ,--keep-old empêche la suppression de l'en-tête de section qui sans cela serait supprimé si la suppression vidait la section.

--test
    Met en mode test, lequel empêche la mise à jour du fichier dir.

--debug
    Met en mode débogage, lequel montre les résultats de certaines étapes du traitement.

VOIR AUSSI
emacs(1), info(1), gzip(1).

COPYRIGHT
Copyright 1994, Ian Jackson. install-info est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie.

TRADUCTION
Philippe Batailler, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.